%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           dconf-editor
Version:        3.16.1
Release:        2
Summary:        Configuration editor for dconf

License:        LGPLv2+
Group:		Graphical desktop/GNOME
URL:            https://wiki.gnome.org/Projects/dconf
Source0:        https://download.gnome.org/sources/dconf-editor/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  appstream-util
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  vala

Requires:       dconf >= 0.24.0

%description
Graphical tool for editing the dconf configuration database.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%make_install

%find_lang dconf

%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/appdata/ca.desrt.dconf-editor.appdata.xml
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/ca.desrt.dconf-editor.desktop

%files -f dconf.lang
%doc COPYING
%{_bindir}/dconf-editor
%{_datadir}/appdata/ca.desrt.dconf-editor.appdata.xml
%{_datadir}/applications/ca.desrt.dconf-editor.desktop
%{_datadir}/dbus-1/services/ca.desrt.dconf-editor.service
%{_datadir}/glib-2.0/schemas/ca.desrt.dconf-editor.gschema.xml
%{_datadir}/icons/*/*/*/*
%{_mandir}/man1/dconf-editor.1*

%changelog

* Mon Apr 27 2015 Tigro <ashejn@yandex-team.ru> 3.16.1-2
- (7964979) added R: dconf >= 0.24.0


